## org.gnu.gtk.event
Class FocusEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.FocusEvent

All Implemented Interfaces:
  java.io.Serializable

public class FocusEvent
extends GtkEvent

See Also:
  `FocusListener`, Serialized Form

Nested Class Summary
`static class` `FocusEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`FocusEvent(java.lang.Object source, FocusEvent.Type type)` Construct a FocusEvent object.

Method Summary
`boolean` `isOfType(FocusEvent.Type aType)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FocusEvent

    public FocusEvent(java.lang.Object source,
                      FocusEvent.Type type)

  Construct a FocusEvent object.

Method Detail

### isOfType

    public boolean isOfType(FocusEvent.Type aType)

  Returns:
    True if the type of this event is the same as that stated.